> For the complete documentation index, see [llms.txt](https://help.multisig.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.multisig.ledger.com/reference/modules.md).

# Modules

## GET /tx-service/eth/api/v1/modules/{address}/safes/

> Returns the list of Safes that have the provided module enabled

```json
{"openapi":"3.1.0","info":{"title":"Safe Transaction Service","version":"5.33.1"},"security":[{"cookieAuth":[]},{"tokenAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""}},"schemas":{"ModulesResponse":{"type":"object","properties":{"safes":{"type":"array","items":{"type":"string"}}},"required":["safes"]},"CodeErrorResponse":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"arguments":{"type":"array","items":{}}},"required":["arguments","code","message"]}}},"paths":{"/tx-service/eth/api/v1/modules/{address}/safes/":{"get":{"operationId":"modules_safes_retrieve","description":"Returns the list of Safes that have the provided module enabled","parameters":[{"in":"path","name":"address","schema":{"type":"string"},"required":true}],"tags":["modules"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModulesResponse"}}},"description":""},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CodeErrorResponse"}}},"description":"Module address checksum not valid"}}}}}}
```
